<!DOCTYPE html>

























	

























<html class="hasSidebar hasPageActions hasBreadcrumb conceptual has-default-focus theme-light" lang="en-us" dir="ltr" data-css-variable-support="true" data-authenticated="false" data-auth-status-determined="false" data-target="docs" x-ms-format-detection="none">

<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta property="og:title" content="App Center Asynchronous APIs for Unity - Visual Studio App Center" />
	<meta property="og:type" content="website" />
	<meta property="og:url" content="https://docs.microsoft.com/en-us/appcenter/sdk/unity-async" />
			<meta property="og:description" content="Usage of asynchronous APIs in the Unity SDK" />
		<meta property="og:image" content="https://docs.microsoft.com/en-us/media/logos/logo-ms-social.png" />
		<meta property="og:image:alt" content="Microsoft Logo" />

	<meta name="twitter:card" content="summary" />
	<meta name="twitter:site" content="@docsmsft" />


	<meta name="audience" content="developer" />
<meta name="author" content="maestersid" />
<meta name="breadcrumb_path" content="../_breadcrumb/toc.json" />
<meta name="depot_name" content="MSDN.vs-appcenter" />
<meta name="description" content="Usage of asynchronous APIs in the Unity SDK" />
<meta name="document_id" content="4e08e12c-6d25-f191-5f96-3d0c4c14e9e3" />
<meta name="document_version_independent_id" content="42720a77-9a23-e485-9ca8-b11be8adacd1" />
<meta name="gitcommit" content="https://github.com/MicrosoftDocs/appcenter-docs-pr/blob/0a3af91e01679aefae93682dabc6732ef73f8e49/docs/sdk/unity-async.md" />
<meta name="keywords" content="sdk" />
<meta name="locale" content="en-us" />
<meta name="manager" content="kegr" />
<meta name="ms.assetid" content="e7b23bad-5cc4-4112-8122-6083351417d2" />
<meta name="ms.author" content="jawh" />
<meta name="ms.date" content="01/25/2019" />
<meta name="ms.service" content="vs-appcenter-sdk" />
<meta name="ms.tgt_pltfrm" content="unity" />
<meta name="ms.topic" content="article" />
<meta name="original_content_git_url" content="https://github.com/MicrosoftDocs/appcenter-docs-pr/blob/live/docs/sdk/unity-async.md" />
<meta name="search.ms_docsetname" content="vs-appcenter" />
<meta name="search.ms_product" content="MSDN" />
<meta name="search.ms_sitename" content="Docs" />
<meta name="site_name" content="Docs" />
<meta name="uhfHeaderId" content="MSDocsHeader-AppCenter" />
<meta name="updated_at" content="2020-03-04 10:09 PM" />
<meta name="page_type" content="conceptual" />
<meta name="toc_rel" content="../toc.json" />
<meta name="pdf_url_template" content="https://docs.microsoft.com/pdfstore/en-us/MSDN.vs-appcenter/{branchName}{pdfName}" />
<meta name="word_count" content="169" />


	<meta name="scope" content="App Center" />
<link href="https://docs.microsoft.com/en-us/appcenter/sdk/unity-async" rel="canonical">
	<title>App Center Asynchronous APIs for Unity - Visual Studio App Center | Microsoft Docs</title>

		<link rel="stylesheet" href="/_themes/docs.theme/master/en-us/_themes/styles/fde4fc64.site-ltr.css ">

	<link rel="stylesheet" href="/_themes/docs.theme/master/en-us/_themes/styles/672b4bb0.conceptual.css ">


	<script>
	var msDocs = {
		data: {
			timeOrigin: Date.now(),
			azureHeaderLocale: 'en-us',
			contentLocale: 'en-us',
			contentDir: 'ltr',
			userLocale: 'en-us',
			userDir: 'ltr',
			pageTemplate: 'Conceptual',
			brand: '',
			context: {

			},
			hasBinaryRating: true,
			hasGithubIssues: true,
			showFeedbackReport: false,
			enableTutorialFeedback: false,
			feedbackSystem: 'GitHub',
			feedbackGitHubRepo: 'MicrosoftDocs/appcenter-docs',
			feedbackProductUrl: 'https://docs.microsoft.com/appcenter/help#accessing-app-center-free-support',
			contentGitUrl: 'https://github.com/MicrosoftDocs/appcenter-docs/blob/live/docs/sdk/unity-async.md',
			extendBreadcrumb: true,
			isEditDisplayable: true,
			hideViewSource: false,
			hasPageActions: true,
			hasBookmark: true,
			hasShare: true
		},
		functions:{}
	};
	if (!('Promise' in window && 'resolve' in window.Promise && 'reject' in window.Promise && 'all' in window.Promise && 'race' in window.Promise)) {
		document.write('<script src="/static/third-party/bluebird/3.5.0/bluebird.min.js" integrity="sha384-aD4BDeDGeLXLpPK4yKeqtZQa9dv4a/7mQ+4L5vwshIYH1Mc2BrXvHd32iHzYCQy5" crossorigin="anonymous"><\/script>');
	}
	if (typeof fetch !== 'function') {
		document.write('<script src="/static/third-party/fetch/3.0.0/fetch.umd.min.js" integrity="sha384-EQIXrC5K2+7X8nGgLkB995I0/6jfAvvyG1ieZ+WYGxgJHFMD/alsG9fSDWvzb5Y1" crossorigin="anonymous"><\/script>');
	}
	if (typeof HTMLTemplateElement === 'undefined') {
		document.write('<script src="/static/third-party/template/1.4.0/template.min.js" integrity="sha384-1zKzI6ldTVHMU7n0W2HpE/lhHI+UG4D9IIaxbj3kT2UhCWicdTuJkTtnKuu0CQzN" crossorigin="anonymous"><\/script>');
	}
	if (typeof URL !== 'function') {
		document.write('<script src="/static/third-party/url/0.5.7/url.min.js" integrity="sha384-vn7xBMtpSTfzaTRWxj0kVq0UcsbBrTOgZ/M1ISHqe1V358elYva+lfiEC+T8jLPc" crossorigin="anonymous"><\/script>');
	}
	</script>

	<script src="/static/third-party/jquery/3.3.1/jquery.min.js" integrity="sha384-Q4GEli30r5Awgb/ITt925nE8buHKjVWM/x3DX8t5JwRLT9P/C2r7u7XzNwvpTTGw" crossorigin="anonymous"></script>
		<script src="/_themes/docs.theme/master/en-us/_themes/scripts/4ee96de3.index-docs.js"></script>

</head>

<body lang="en-us" dir="ltr">
<div class="header-holder has-default-focus">
	<a href="#main" class="skip-to-main-link visually-hidden-until-focused is-fixed has-inner-focus focus-visible has-top-zero has-left-zero has-right-zero has-padding-medium has-text-centered has-body-background-medium" tabindex="1">Skip to main content</a>
		<div id="headerAreaHolder" data-bi-name="header">
<header role="banner" itemscope="itemscope" itemtype="http://schema.org/Organization">
	<div class="nav-bar">
		<a itemprop="url" href="https://www.microsoft.com" aria-label="Microsoft" class="nav-bar-button has-padding-left-medium-mobile">
			<div class="nav-bar-logo has-background-image theme-display is-light" role="presentation" aria-hidden="true" itemprop="logo" itemscope="itemscope"></div>
			<div class="nav-bar-logo has-background-image theme-display is-dark is-high-contrast" role="presentation" aria-hidden="true" itemprop="logo" itemscope="itemscope"></div>
		</a>
		<div class="nav-bar-item is-hidden-tablet">
			<button class="nav-bar-button is-size-5 is-text has-body-background has-padding-none" title="Global navigation">
				<span class="has-text-weight-semibold has-padding-left-small has-padding-bottom-extra-small"></span>
				<div class="nav-bar-burger has-padding-none has-height-zero">
					<span></span>
					<span></span>
					<span></span>
					<span class="is-visually-hidden">Global navigation</span>
				</div>
			</button>
		</div>
		<nav class="nav-bar-nav" role="navigation" aria-label="Global">
			<ul class="nav-bar-nav-list">
				<li class="nav-bar-item is-category has-spacing">
					<a class="nav-bar-button title has-hover-underline is-4" itemprop="url" href="/en-us/">
						<span>Docs</span>
					</a>
				</li>
				<li class="nav-bar-item">
					<a class="nav-bar-button has-hover-underline" href="/en-us/">
						<span>Documentation</span>
					</a>
				</li>
				<li class="nav-bar-item">
					<a class="nav-bar-button has-hover-underline" href="/en-us/learn/">
						<span>Learn</span>
					</a>
				</li>
				<li class="nav-bar-item">
					<a class="nav-bar-button has-hover-underline" href="/en-us/samples/browse/">
						<span>Code Samples</span>
					</a>
				</li>
				<li class="dropdown nav-bar-item" hidden="">
					<button aria-expanded="false" class="dropdown-trigger nav-bar-button has-hover-underline" aria-controls="ax-53">
						<span>More</span>
						<span class="nav-bar-button-chevron" aria-hidden="true">
							<span class="docon docon-chevron-down-light expanded-indicator"></span>
						</span>
					</button>
					<ul class="dropdown-menu" id="ax-53" aria-label="More">
						<li class="nav-bar-item" hidden="">
							<a class="nav-bar-button" href="/en-us/">Documentation</a>
						</li>
						<li class="nav-bar-item" hidden="">
							<a class="nav-bar-button" href="/en-us/learn/">Learn</a>
						</li>
						<li class="nav-bar-item" hidden="">
							<a class="nav-bar-button" href="/en-us/samples/browse/">Code Samples</a>
						</li>
					</ul>
				</li>
			</ul>
		</nav>
		<span class="nav-bar-spacer is-hidden-mobile"></span>
		<div class="nav-bar-item has-flex-grow-mobile has-flex-shrink-mobile">
		</div>
		<div class="nav-bar-item is-size-7 is-hidden-mobile">
		</div>
	</div>
	<div class="nav-bar is-content is-hidden-mobile has-border-top">
	</div>
</header>		</div>
		<div class="content-header uhf-container has-padding has-default-focus has-border-bottom-none" data-bi-name="content-header">
			<nav class="has-padding-none has-padding-left-medium-tablet has-padding-right-medium-tablet has-padding-left-none-uhf-tablet has-padding-left-none-uhf-tablet has-padding-none-desktop has-flex-grow" data-bi-name="breadcrumb" itemscope itemtype="http://schema.org/BreadcrumbList" role="navigation" aria-label="Breadcrumb">
				<ul id="page-breadcrumbs" class="breadcrumbs">
				</ul>
			</nav>
		<div class="content-header-controls">
			<button type="button" class="contents-button button" data-bi-name="contents-expand" aria-haspopup="true">
				<span class="icon"><span class="docon docon-menu" aria-hidden="true"></span></span>
				<span>Contents</span>
			</button>
		</div>
		<div class="content-header-controls exit-focus">
			<button type="button" class="ap-collapse-behavior ap-expanded button" data-bi-name="ap-collapse" aria-controls="action-panel">
				<span class="icon"><span class="docon docon-exit-mode" aria-hidden="true"></span></span>
				<span>Exit focus mode</span>
			</button>
		</div>
		<div class="has-padding-none-tablet has-padding-medium is-size-7 is-flex-touch has-flex-justify-content-space-between-touch has-flex-grow">
			<ul class="is-hidden-mobile action-list has-flex-justify-content-start has-flex-justify-content-end-tablet is-flex is-flex-row has-flex-wrap has-flex-grow is-unstyled">
				<li>
					<button type="button" class="bookmark button is-text has-inner-focus is-small is-icon-only-touch" data-list-type="bookmarks" data-bi-name="bookmark" title="Bookmark this page">
						<span class="icon" aria-hidden="true">
							<span class="docon docon-single-bookmark"></span>
						</span>
						<span class="bookmark-status is-visually-hidden-touch is-hidden-portrait">Bookmark</span>
					</button>
				</li>
					<li id="feedback-section-link">
						<a href="#feedback" class="button is-text has-inner-focus is-small is-icon-only-touch" data-bi-name="comments" title="Send feedback about this page">
							<span class="icon">
								<span class="docon docon-comment-lines" aria-hidden="true"></span>
							</span>
							<span class="is-visually-hidden-touch is-hidden-portrait">Feedback</span>
						</a>
					</li>
						<li id="contenteditbtn">
							<a href="https://github.com/MicrosoftDocs/appcenter-docs/blob/live/docs/sdk/unity-async.md" class="button is-text has-inner-focus is-icon-only-touch is-small" title="Edit This Document" data-bi-name="edit" data-original_content_git_url="https://github.com/MicrosoftDocs/appcenter-docs-pr/blob/live/docs/sdk/unity-async.md" data-original_content_git_url_template="{repo}/blob/{branch}/docs/sdk/unity-async.md" data-pr_repo="" data-pr_branch="">
							<span class="icon">
								<span class="docon docon-edit-outline" aria-hidden="true"></span>
							</span>
							<span class="is-visually-hidden-touch is-hidden-portrait">Edit</span>
						</a>
					</li>
				<li>
<div class="sharing dropdown has-caret">
	<button class="dropdown-trigger button is-text is-fullwidth has-flex-justify-content-start has-inner-focus is-small is-icon-only-touch" aria-controls="sharing-menu" aria-expanded="false" title="Share This Document" data-bi-name="share">
		<span class="icon" aria-hidden="true">
			<span class="docon docon-sharing"></span>
		</span>
		<span class="is-visually-hidden-touch is-hidden-portrait">Share</span>
	</button>
	<div class="dropdown-menu has-padding-small" id="sharing-menu">
		<ul data-bi-name="share-links">
			<li>
				<a class="button is-text is-fullwidth has-flex-justify-content-start has-inner-focus is-small share-twitter" data-bi-name="twitter">
					<span class="icon">
						<span class="docon docon-brand-twitter has-text-primary" aria-hidden="true"></span>
					</span>
					<span>Twitter</span>
				</a>
			</li>
			<li>
				<a class="button is-text is-fullwidth has-flex-justify-content-start has-inner-focus is-small share-linkedin" data-bi-name="linkedin">
					<span class="icon">
						<span class="docon docon-brand-linkedin has-text-primary" aria-hidden="true"></span>
					</span>
					<span>LinkedIn</span>
				</a>
			</li>
			<li>
				<a class="button is-text is-fullwidth has-flex-justify-content-start has-inner-focus is-small share-facebook" data-bi-name="facebook">
					<span class="icon">
						<span class="docon docon-brand-facebook has-text-primary" aria-hidden="true"></span>
					</span>
					<span>Facebook</span>
				</a>
			</li>
			<li>
				<a class="button is-text is-fullwidth has-flex-justify-content-start has-inner-focus is-small share-email" data-bi-name="email">
					<span class="icon">
						<span class="docon docon-mail-message-fill has-text-primary" aria-hidden="true"></span>
					</span>
					<span>Email</span>
				</a>
			</li>
		</ul>
	</div>
</div>				</li>
			</ul>
			<button type="button" class="has-border contents-button button is-small is-text is-hidden-tablet has-inner-focus" aria-label="Contents" data-bi-name="contents-expand">
				<span class="icon">
					<span class="docon docon-editor-list-bullet" aria-hidden="true"></span>
				</span>
				<span>Table of contents</span>
			</button>
			<div class="is-invisible"></div>
			<div class="is-hidden-tablet level-item is-flexible level-right">
				<button type="button" class="page-actions-button button is-small is-text is-hidden-tablet has-inner-focus has-border is-full-height  has-margin-left-small" aria-label="Page Actions" data-bi-name="pageactions">
					<span aria-hidden="true">. . .</span>
				</button>
			</div>
		</div>
	</div>

	<div id="banner-holder" class="has-default-focus has-overflow-hidden">
	</div>

	<div id="disclaimer-holder" class="has-overflow-hidden has-default-focus"></div>
	</div>

	<div class="mainContainer  uhf-container has-top-padding  has-default-focus" data-bi-name="body">

		<div class="columns has-large-gaps is-gapless-mobile ">

			<div id="left-container" class="left-container is-hidden-mobile column is-one-third-tablet is-one-quarter-desktop">
				<nav id="affixed-left-container" class="is-fixed is-flex is-flex-column" role="navigation" aria-label="Primary"></nav>
			</div>

			<section class="primary-holder column is-two-thirds-tablet is-three-quarters-desktop">
				<div class="columns is-gapless-mobile has-large-gaps ">


				<div id="main-column" class="column  is-full is-four-fifths-desktop ">

					<main id="main" role="main" class="content " data-bi-name="content" lang="en-us" dir="ltr">



						<h1 id="asynchronous-apis-in-the-unity-sdk">Asynchronous APIs in the Unity SDK</h1>

						<ul class="metadata page-metadata" data-bi-name="page info" lang="en-us" dir="ltr">
							<li class="displayDate loading">
								<time role="presentation" datetime="2019-01-25T00:00:00.000Z" data-article-date-source="ms.date">01/25/2019</time>
							</li>
								<li class="readingTime">2 minutes to read</li>
							<li class="contributors-holder">
								<a class="has-inner-focus" href="https://github.com/MicrosoftDocs/appcenter-docs/blob/live/docs/sdk/unity-async.md" title="1 Contributor" aria-label="1 Contributor">
									<ul class="contributors" data-bi-name="contributors" aria-hidden="true">
												<li><img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNMsAcAAQUAoVnxsV8AAAAASUVORK5CYII=" data-src="https://github.com/maestersid.png?size=32" role="presentation"/></li>
									</ul>
								</a>
							</li>

						</ul>

						<nav id="center-doc-outline" class="doc-outline is-hidden-desktop" data-bi-name="intopic toc" role="navigation" aria-label="Article Outline">
							<h3>In this article</h3>
						</nav>

						<!-- <content> -->
							
<p>Asynchronous APIs return a <code>AppCenterTask</code> object instead of returning the result directly, and return immediately instead of waiting for the action to finish.</p>
<p>There are three ways to interact with these methods.</p>
<h2 id="method-1-continuewith">Method 1: ContinueWith</h2>
<p>To perform an action after the <code>AppCenterTask</code>'s activity has completed, add a callback using the <code>ContinueWith</code> method.</p>
<p>Example:</p>
<pre><code class="lang-csharp">AppCenter.IsEnabledAsync().ContinueWith(task =&gt;
{
    // Do something with task.Result
});
</code></pre>
<p>In situations where the method has an actual return value, it will return <code>AppCenterTask&lt;{Return Type}&gt;</code> (as in the example above). In these situations, the task parameter in the callback will have a <code>Result</code> property that you can access.</p>
<h2 id="method-2-built-in-language-features">Method 2: Built-in language features</h2>
<p>If you're writing code that has access to .NET 4.6 or above, then <code>AppCenterTask</code> can be <code>await</code>ed in an asynchronous context.</p>
<p>Example:</p>
<pre><code class="lang-csharp">bool isEnabled = await AppCenter.IsEnabledAsync();
</code></pre>
<h2 id="method-3-coroutines">Method 3: Coroutines</h2>
<p><code>AppCenterTask</code>s are also suitable for use in coroutines.</p>
<p>Example:</p>
<pre><code class="lang-csharp">void SomeMethod()
{
    StartCoroutine(IsEnabledCoroutine());
}

IEnumerator IsEnabledCoroutine()
{
    var isEnabled = AppCenter.IsEnabledAsync();
    yield return isEnabled;

    // do something with the isEnabled
}
</code></pre>

						<!-- </content> -->

						</main>

						<!-- recommended content page section -->

							<nav data-bi-name="recommendation-bottom" hidden id="recommended-content-center" class="is-hidden-desktop" aria-labelledby="recommended-content-center-title">
								<h3 id="recommended-content-center-title" class="is-size-2 has-margin-top-large has-margin-bottom-small">Related Articles</h3>
							</nav>

						<!-- end recommended content page section -->

						<!-- page rating section -->
								<div class="is-hidden-desktop has-border-top has-margin-top-large has-padding-top-small">
									
									
<div class="feedback-verbatim has-border-bottom has-padding-bottom-small has-margin-bottom-small" data-bi-name="rating">
    <div class="binary-rating">
        <div class="binary-rating-buttons">
            <h3 class="has-text-weight-semibold has-margin-top-none has-margin-bottom-small">Is this page helpful?</h3>
            <div>
                <button class="thumb-rating like has-inner-focus has-padding-left-extra-small has-padding-right-extra-small" title="Yes" data-bi-name="rating-yes" aria-expanded="false" data-bi-sat="1" aria-controls="rating-container-mobile">
                    <span aria-hidden="true" class="icon docon docon-like"></span>
                    <span>Yes</span>
                </button>
                <button class="thumb-rating dislike has-inner-focus has-padding-none has-padding-right-extra-small" title="No" data-bi-name="rating-no" data-bi-sat="0" aria-expanded="false" aria-controls="rating-container-mobile">
                    <span aria-hidden="true" class="icon docon docon-dislike"></span>
                    <span>No</span>
                </button>
            </div>
        </div>
        <form class="feedback-verbatim-form is-hidden" id="rating-container-mobile">
            <div class="verbatim-textarea box is-relative has-box-shadow-none has-border has-margin-top-small has-padding-extra-small is-size-8">
                <label for="rating-textarea-mobile" class="visually-hidden">Any additional feedback?</label>
                <textarea id="rating-textarea-mobile" rows="4" maxlength="999" placeholder="Any additional feedback?" required class="textarea has-border-none has-box-shadow-none has-inner-focus"></textarea>
            </div>
            <div class="buttons is-right has-margin-top-medium has-margin-right-extra-small">
                <button class="skip-rating button is-text is-link is-small" type="button">Skip</button>
                <button class="submit-rating button is-primary is-small" data-bi-name="rating-verbatim" disabled type="submit">Submit</button>
            </div>
        </form>
    </div>
    <div class="thankyou-rating is-hidden" tabindex="-1">
        <p>Thank you.</p>
    </div>
</div>								</div>
						<!-- end page rating section -->


						<!-- feedback section -->
<section class="feedback-section" data-bi-name="feedback-section">

    <h2 id="feedback">Feedback</h2>

    <div class="alert choose-feedback-type">
        <p aria-hidden="true" id="send-feedback-about">Send feedback about</p>

        <div class="choose-feedback-buttons">
                <a class="button feedback-type-product has-margin-bottom-small" aria-label="Send feedback about this product" href="https://docs.microsoft.com/appcenter/help#accessing-app-center-free-support" data-bi-name="product-feedback">
                    <span>This product</span>
                    <span aria-hidden="true" class="icon docon docon-navigate-external"></span>
                </a>

            <div class="field is-inline-flex has-margin-bottom-small">
                <div class="control has-margin-top-none has-margin-bottom-none">
                    <button class="button feedback-sign-in-button has-text-wrap" aria-label="Send feedback about this page" data-bi-name="feedback-sign-in">
                        <span aria-hidden="true" class="icon docon docon-brand-github"></span>
                        <span>This page</span>
                    </button>
                </div>
            </div>

            <div class="field is-inline-flex has-margin-bottom-small" hidden>
                <div class="control has-margin-top-none has-margin-bottom-none">
                    <button aria-controls="feedback-form" aria-describedby="send-feedback-about" aria-expanded="false" class="button feedback-form-toggle" data-bi-name="documentation-feedback">
                        <span aria-hidden="true" class="icon docon docon-brand-github"></span>
This page                        <span aria-hidden="true" class="icon">
                            <span class="expanded-indicator docon docon-chevron-down-light"></span>
                        </span>
                    </button>
                </div>
            </div>
            <p>You may also leave feedback directly on <a data-bi-name="create-issue-on-github" class="github-link">GitHub <span class="docon docon-navigate-external" aria-hidden="true"></span></a>.</p>
        </div>
    </div>

    <form accept-charset="UTF-8" action="javascript:" autocomplete="off" class="feedback-form" hidden id="feedback-form">
        <h3 class="feedback-form-heading current-user">
            <img class="avatar" alt="Avatar" width="36" height="36" aria-hidden="true">
            <span aria-hidden="true" class="username"></span>
            <span class="visually-hidden">Send feedback about this page</span>
        </h3>

        <label>
            <span class="visually-hidden">Title</span>
            <input class="input is-radiusless has-margin-bottom-small" name="title" type="text" placeholder="Title" required pattern=".*[^\s]+.*">
        </label>
        <label>
            <span class="visually-hidden">Leave a comment</span>
            <textarea name="body" placeholder="Leave a comment" class="textarea is-radiusless" required></textarea>
        </label>

        <div class="action-container">
            <button class="button is-primary" name="submit" type="submit">Submit feedback</button>
        </div>
    </form>

    <div class="feedback-status alert is-loading">
        <p>Loading feedback...</p>
    </div>

    <div class="feedback-tab-group tabGroup" data-tab-group-independent hidden>
        <ul role="tablist">
            <li role="presentation">
                <a aria-controls="tabpanel-issues-open" data-tab="issues-open" href="#tabpanel-issues-open" role="tab"></a>
            </li>
            <li role="presentation">
                <a aria-controls="tabpanel-issues-closed" data-tab="issues-closed" href="#tabpanel-issues-closed" role="tab"></a>
            </li>
        </ul>
        <section data-tab="issues-open" id="tabpanel-issues-open" role="tabpanel">
            <div class="no-issues-placeholder">There are no open issues</div>
            <ul class="github-issues-list" aria-label="Open Issues"></ul>
        </section>
        <section data-tab="issues-closed" id="tabpanel-issues-closed" role="tabpanel">
            <div class="no-issues-placeholder">There are no closed issues</div>
            <ul class="github-issues-list" aria-label="Closed Issues"></ul>
        </section>
    </div>
    <div class="action-container">
        <a class="view-on-github" data-bi-name="view-on-github" hidden href="https://github.com/MicrosoftDocs/appcenter-docs/issues">
            <span aria-hidden="true" class="docon docon-brand-github"></span>
            <span>View on GitHub</span>
            <span aria-hidden="true" class="docon docon-navigate-external"></span>
        </a>
    </div>
</section>

						<!-- end feedback section -->

						<!-- feedback report section -->
						<!-- end feedback report section -->

						<div class="footerContainer is-visible-interactive has-default-focus ">
<footer id="footer-interactive" data-bi-name="footer" class="footer-layout">

    <div class="is-flex is-full-height has-padding-right-extra-large-desktop">
		<a data-mscc-ic="false" class="locale-selector-link has-flex-shrink-none" href="#" data-bi-name="select-locale"><span class="icon docon docon-world is-size-4 has-margin-right-small" aria-hidden="true"></span><span class="local-selector-link-text"></span></a>
		<div class="has-margin-left-medium has-margin-right-medium has-flex-shrink-none">
<div class="dropdown has-caret-up">
	<button class="dropdown-trigger button is-transparent is-small is-icon-only-touch has-inner-focus theme-dropdown-trigger"
		aria-controls="theme-menu" aria-expanded="false" title="Theme" data-bi-name="theme">
		<span class="icon">
			<span class="docon docon-sun" aria-hidden="true"></span>
		</span>
		<span>Theme</span>
	</button>
	<div class="dropdown-menu" id="theme-menu" role="menu">
		<ul class="theme-selector has-padding-small">
			<li class="theme is-block">
				<button class="button is-text is-small theme-control is-fullwidth has-flex-justify-content-start"
					data-theme-to="light">
					<span class="theme-light has-margin-right-small">
						<span
							class="theme-selector-icon css-variable-support has-border is-inline-block has-body-background"
							aria-hidden="true">
							<svg class="svg" xmlns="http://www.w3.org/2000/svg"
								viewBox="0 0 22 14">
								<rect width="22" height="14" class="has-fill-body-background" />
								<rect x="5" y="5" width="12" height="4" class="has-fill-secondary" />
								<rect x="5" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="8" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="11" y="2" width="3" height="1" class="has-fill-secondary" />
								<rect x="1" y="1" width="2" height="2" class="has-fill-secondary" />
								<rect x="5" y="10" width="7" height="2" rx="0.3" class="has-fill-primary" />
								<rect x="19" y="1" width="2" height="2" rx="1" class="has-fill-secondary" />
							</svg>
						</span>
					</span>
					<span role="menuitem">
Light					</span>
				</button>
			</li>
			<li class="theme is-block">
				<button class="button is-text is-small theme-control is-fullwidth has-flex-justify-content-start"
					data-theme-to="dark">
					<span class="theme-dark has-margin-right-small">
						<span
							class="has-border theme-selector-icon css-variable-support is-inline-block has-body-background"
							aria-hidden="true">
							<svg class="svg" xmlns="http://www.w3.org/2000/svg"
								viewBox="0 0 22 14">
								<rect width="22" height="14" class="has-fill-body-background" />
								<rect x="5" y="5" width="12" height="4" class="has-fill-secondary" />
								<rect x="5" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="8" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="11" y="2" width="3" height="1" class="has-fill-secondary" />
								<rect x="1" y="1" width="2" height="2" class="has-fill-secondary" />
								<rect x="5" y="10" width="7" height="2" rx="0.3" class="has-fill-primary" />
								<rect x="19" y="1" width="2" height="2" rx="1" class="has-fill-secondary" />
							</svg>
						</span>
					</span>
					<span role="menuitem">
Dark					</span>
				</button>
			</li>
			<li class="theme is-block">
				<button class="button is-text is-small theme-control is-fullwidth has-flex-justify-content-start"
					data-theme-to="high-contrast">
					<span class="theme-high-contrast has-margin-right-small">
						<span
							class="has-border theme-selector-icon css-variable-support is-inline-block has-body-background"
							aria-hidden="true">
							<svg class="svg" xmlns="http://www.w3.org/2000/svg"
								viewBox="0 0 22 14">
								<rect width="22" height="14" class="has-fill-body-background" />
								<rect x="5" y="5" width="12" height="4" class="has-fill-secondary" />
								<rect x="5" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="8" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="11" y="2" width="3" height="1" class="has-fill-secondary" />
								<rect x="1" y="1" width="2" height="2" class="has-fill-secondary" />
								<rect x="5" y="10" width="7" height="2" rx="0.3" class="has-fill-primary" />
								<rect x="19" y="1" width="2" height="2" rx="1" class="has-fill-secondary" />
							</svg>
						</span>
					</span>
					<span role="menuitem">
High contrast					</span>
				</button>
			</li>
		</ul>
	</div>
</div>		</div>
	</div>

    <ul class="links" data-bi-name="footerlinks">
		<li><a data-mscc-ic="false" href="https://docs.microsoft.com/en-us/previous-versions/" data-bi-name="archivelink">Previous Version Docs</a></li>
		<li><a data-mscc-ic="false" href="https://docs.microsoft.com/en-us/teamblog" data-bi-name="bloglink">Blog</a></li>
		<li><a data-mscc-ic="false" href="https://docs.microsoft.com/en-us/contribute" data-bi-name="contributorGuide">Contribute</a></li>
			<li><a data-mscc-ic="false" href="https://go.microsoft.com/fwlink/?LinkId=521839" data-bi-name="privacy">Privacy &amp; Cookies</a></li>
		<li><a data-mscc-ic="false" href="https://docs.microsoft.com/en-us/legal/termsofuse" data-bi-name="termsofuse">Terms of Use</a></li>
		<li><a data-mscc-ic="false" href="https://aka.ms/sitefeedback" data-bi-name="feedback">Site Feedback</a></li>
		<li><a data-mscc-ic="false" href="https://www.microsoft.com/en-us/legal/intellectualproperty/Trademarks/EN-US.aspx" data-bi-name="trademarks">Trademarks</a></li>
		<li>&copy; Microsoft 2020</li>
    </ul>
</footer>
						</div>
					</div>

					<div class="is-size-7 right-container column is-one-quarter is-one-fifth-desktop is-hidden-mobile is-hidden-tablet-only" data-bi-name="pageactions" role="complementary" aria-label="Page Actions">
						<div id="affixed-right-container" class="doc-outline is-fixed is-vertically-scrollable">
								
								
<div class="feedback-verbatim has-border-bottom has-padding-bottom-small has-margin-bottom-small" data-bi-name="rating">
    <div class="binary-rating">
        <div class="binary-rating-buttons">
            <h3 class="has-text-weight-semibold has-margin-top-none has-margin-bottom-small">Is this page helpful?</h3>
            <div>
                <button class="thumb-rating like has-inner-focus has-padding-left-extra-small has-padding-right-extra-small" title="Yes" data-bi-name="rating-yes" aria-expanded="false" data-bi-sat="1" aria-controls="rating-container-desktop">
                    <span aria-hidden="true" class="icon docon docon-like"></span>
                    <span>Yes</span>
                </button>
                <button class="thumb-rating dislike has-inner-focus has-padding-none has-padding-right-extra-small" title="No" data-bi-name="rating-no" data-bi-sat="0" aria-expanded="false" aria-controls="rating-container-desktop">
                    <span aria-hidden="true" class="icon docon docon-dislike"></span>
                    <span>No</span>
                </button>
            </div>
        </div>
        <form class="feedback-verbatim-form is-hidden" id="rating-container-desktop">
            <div class="verbatim-textarea box is-relative has-box-shadow-none has-border has-margin-top-small has-padding-extra-small is-size-8">
                <label for="rating-textarea-desktop" class="visually-hidden">Any additional feedback?</label>
                <textarea id="rating-textarea-desktop" rows="4" maxlength="999" placeholder="Any additional feedback?" required class="textarea has-border-none has-box-shadow-none has-inner-focus"></textarea>
            </div>
            <div class="buttons is-right has-margin-top-medium has-margin-right-extra-small">
                <button class="skip-rating button is-text is-link is-small" type="button">Skip</button>
                <button class="submit-rating button is-primary is-small" data-bi-name="rating-verbatim" disabled type="submit">Submit</button>
            </div>
        </form>
    </div>
    <div class="thankyou-rating is-hidden" tabindex="-1">
        <p>Thank you.</p>
    </div>
</div>								<nav data-bi-name="recommendation-sidebar" hidden id="recommended-content-nav" role="navigation" aria-labelledby="recommended-content-nav-title">
									<h3 id="recommended-content-nav-title">Related Articles</h3>
								</nav>
							<nav id="side-doc-outline" data-bi-name="intopic toc" role="navigation" aria-label="Article Outline">
								<h3>In this article</h3>
							</nav>
						</div>
					</div>

					<!--end of div.columns -->
				</div>

			<!--end of .primary-holder -->
			</section>

			<aside id="interactive-container" class="interactive-container is-visible-interactive column has-body-background-dark ">
			</aside>
		</div>

		<!--end of .mainContainer -->
	</div>

	<div id="openFeedbackContainer" class="openfeedback-container"></div>

	<div class="footerContainer has-default-focus is-hidden-interactive ">
<footer id="footer" data-bi-name="footer" class="footer-layout uhf-container has-padding" role="contentinfo">

    <div class="is-flex is-full-height has-padding-right-extra-large-desktop">
		<a data-mscc-ic="false" class="locale-selector-link has-flex-shrink-none" href="#" data-bi-name="select-locale"><span class="icon docon docon-world is-size-4 has-margin-right-small" aria-hidden="true"></span><span class="local-selector-link-text"></span></a>
		<div class="has-margin-left-medium has-margin-right-medium has-flex-shrink-none">
<div class="dropdown has-caret-up">
	<button class="dropdown-trigger button is-transparent is-small is-icon-only-touch has-inner-focus theme-dropdown-trigger"
		aria-controls="theme-menu" aria-expanded="false" title="Theme" data-bi-name="theme">
		<span class="icon">
			<span class="docon docon-sun" aria-hidden="true"></span>
		</span>
		<span>Theme</span>
	</button>
	<div class="dropdown-menu" id="theme-menu" role="menu">
		<ul class="theme-selector has-padding-small">
			<li class="theme is-block">
				<button class="button is-text is-small theme-control is-fullwidth has-flex-justify-content-start"
					data-theme-to="light">
					<span class="theme-light has-margin-right-small">
						<span
							class="theme-selector-icon css-variable-support has-border is-inline-block has-body-background"
							aria-hidden="true">
							<svg class="svg" xmlns="http://www.w3.org/2000/svg"
								viewBox="0 0 22 14">
								<rect width="22" height="14" class="has-fill-body-background" />
								<rect x="5" y="5" width="12" height="4" class="has-fill-secondary" />
								<rect x="5" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="8" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="11" y="2" width="3" height="1" class="has-fill-secondary" />
								<rect x="1" y="1" width="2" height="2" class="has-fill-secondary" />
								<rect x="5" y="10" width="7" height="2" rx="0.3" class="has-fill-primary" />
								<rect x="19" y="1" width="2" height="2" rx="1" class="has-fill-secondary" />
							</svg>
						</span>
					</span>
					<span role="menuitem">
Light					</span>
				</button>
			</li>
			<li class="theme is-block">
				<button class="button is-text is-small theme-control is-fullwidth has-flex-justify-content-start"
					data-theme-to="dark">
					<span class="theme-dark has-margin-right-small">
						<span
							class="has-border theme-selector-icon css-variable-support is-inline-block has-body-background"
							aria-hidden="true">
							<svg class="svg" xmlns="http://www.w3.org/2000/svg"
								viewBox="0 0 22 14">
								<rect width="22" height="14" class="has-fill-body-background" />
								<rect x="5" y="5" width="12" height="4" class="has-fill-secondary" />
								<rect x="5" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="8" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="11" y="2" width="3" height="1" class="has-fill-secondary" />
								<rect x="1" y="1" width="2" height="2" class="has-fill-secondary" />
								<rect x="5" y="10" width="7" height="2" rx="0.3" class="has-fill-primary" />
								<rect x="19" y="1" width="2" height="2" rx="1" class="has-fill-secondary" />
							</svg>
						</span>
					</span>
					<span role="menuitem">
Dark					</span>
				</button>
			</li>
			<li class="theme is-block">
				<button class="button is-text is-small theme-control is-fullwidth has-flex-justify-content-start"
					data-theme-to="high-contrast">
					<span class="theme-high-contrast has-margin-right-small">
						<span
							class="has-border theme-selector-icon css-variable-support is-inline-block has-body-background"
							aria-hidden="true">
							<svg class="svg" xmlns="http://www.w3.org/2000/svg"
								viewBox="0 0 22 14">
								<rect width="22" height="14" class="has-fill-body-background" />
								<rect x="5" y="5" width="12" height="4" class="has-fill-secondary" />
								<rect x="5" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="8" y="2" width="2" height="1" class="has-fill-secondary" />
								<rect x="11" y="2" width="3" height="1" class="has-fill-secondary" />
								<rect x="1" y="1" width="2" height="2" class="has-fill-secondary" />
								<rect x="5" y="10" width="7" height="2" rx="0.3" class="has-fill-primary" />
								<rect x="19" y="1" width="2" height="2" rx="1" class="has-fill-secondary" />
							</svg>
						</span>
					</span>
					<span role="menuitem">
High contrast					</span>
				</button>
			</li>
		</ul>
	</div>
</div>		</div>
	</div>
    <ul class="links" data-bi-name="footerlinks">
		<li><a data-mscc-ic="false" href="https://docs.microsoft.com/en-us/previous-versions/" data-bi-name="archivelink">Previous Version Docs</a></li>
		<li><a data-mscc-ic="false" href="https://docs.microsoft.com/en-us/teamblog" data-bi-name="bloglink">Blog</a></li>
		<li><a data-mscc-ic="false" href="https://docs.microsoft.com/en-us/contribute" data-bi-name="contributorGuide">Contribute</a></li>
			<li><a data-mscc-ic="false" href="https://go.microsoft.com/fwlink/?LinkId=521839" data-bi-name="privacy">Privacy &amp; Cookies</a></li>
		<li><a data-mscc-ic="false" href="https://docs.microsoft.com/en-us/legal/termsofuse" data-bi-name="termsofuse">Terms of Use</a></li>
		<li><a data-mscc-ic="false" href="https://aka.ms/sitefeedback" data-bi-name="feedback">Site Feedback</a></li>
		<li><a data-mscc-ic="false" href="https://www.microsoft.com/en-us/legal/intellectualproperty/Trademarks/EN-US.aspx" data-bi-name="trademarks">Trademarks</a></li>
		<li>&copy; Microsoft 2020</li>
    </ul>
</footer>
	</div>

	<div id="action-panel" role="region" aria-label="Action Panel" class="action-panel has-default-focus" tabindex="-1"></div>
</body>
</html>
